Bug 430969 - selinux prevent changing samba password when configured to synchronize unix password.
Summary: selinux prevent changing samba password when configured to synchronize unix p...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 5.1
Hardware: All Linux
low
low
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords: OtherQA
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-30 20:38 UTC by Lin Li
Modified: 2009-07-20 10:00 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0465
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 16:06:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selinux alert (2.38 KB, text/plain)
2008-01-30 20:38 UTC, Lin Li
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0465 normal SHIPPED_LIVE selinux-policy bug fix update 2008-05-20 14:36:31 UTC

Description Lin Li 2008-01-30 20:38:26 UTC
Description of problem:
When samba is configured to synchronize with unix password, selinux prevent
changing samba password with non-root. If selinux is set to permissive, I still
get the same alert, but the password change succeded.

Version-Release number of selected component (if applicable):
samba version 3.0.25b-0.el5.4

How reproducible:
Constant reproducible.

Steps to Reproduce:
1. Config samba to sychronize unix password.
2. Set selinux to enforce mode.
3. Su to the user
4. Run "smbpasswd -U user" to change password.

  
Actual results:
Change failed with selinux alert generated.

Expected results:


Additional info:
If turn off "unix password sync", change samba password works.

Comment 1 Lin Li 2008-01-30 20:38:26 UTC
Created attachment 293481 [details]
selinux alert

Comment 2 Daniel Walsh 2008-01-31 16:28:48 UTC
Fixed in selinux-policy-2.4.6-118


Comment 3 RHEL Product and Program Management 2008-01-31 16:36:04 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Eduard Benes 2008-03-26 11:12:44 UTC
Lin, could you please try the latest selinux-policy and give us a feedback 
whether it works for you? Thank you. 

Latest packages are available here:
 
  http://people.redhat.com/dwalsh/SELinux/RHEL5/noarch/

Comment 8 Lin Li 2008-03-26 13:32:17 UTC
It works with selinux-policy-2.4.6-118. Thank you.

Comment 11 errata-xmlrpc 2008-05-21 16:06:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0465.html



Note You need to log in before you can comment on or make changes to this bug.